<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ProgressStepEvent Method (IEdmUnlockOpCallback)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmUnlockOpCallback Interface : ProgressStepEvent Method (IEdmUnlockOpCallback)

Visual Basic
C#
C++/CLI

eType
  Type of progress bar to advance as defined in EdmProgressType

eText
  Type of current operation as defined in EdmUnlockEventMsg

lProgressPos
  New position in the progress bar

Called to advance a progress bar.

# Syntax

Visual Basic |
--- | ---

    Function ProgressStepEvent( _
       ByVal eType As EdmProgressType, _
       ByVal eText As EdmUnlockEventMsg, _
       ByVal lProgressPos As System.Integer _
    ) As System.Boolean

C# |
--- | ---

    System.bool ProgressStepEvent(
       EdmProgressType eType,
       EdmUnlockEventMsg eText,
       System.int lProgressPos
    )

C++/CLI |
--- | ---

    System.bool ProgressStepEvent(
    &   EdmProgressType eType,
    &   EdmUnlockEventMsg eText,
    &   System.int lProgressPos
    )

#### Parameters

eType
  Type of progress bar to advance as defined in EdmProgressType
eText
  Type of current operation as defined in EdmUnlockEventMsg
lProgressPos
  New position in the progress bar

#### Return Value

True to continue the operation, false to cancel it

# Example

See the IEdmUnlockOpCallback examples.

# Remarks

This method or IEdmUnlockOpCallback::ProgressStep is called for each step in an operation that begins with IEdmUnlockOpCallback::ProgressBegin.

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmUnlockOpCallback Interface
IEdmUnlockOpCallback Members

# Availability

SOLIDWORKS PDM Professional Version 6.3